<section {% if slide['background-color'] %}data-background-color="{{ slide['background-color'] }}"{% endif %} data-transition="fade-in fade-out" class="category-{{ category_index|default(1) }} {% if slide['category-slide'] %}category-slide{% endif %}" {% if slide['head_image'] %}data-background-image="{{ slide['head_image'] }}{% endif %}">
	{% if slide['title'] %}
		<h3 {% if slide['title_css'] %}style="{{ slide['title_css'] }}"{% endif %}>{{ slide['title'] }}</h3>
	{% elif slide['head'] %}
		<h2 {% if slide['title_css'] %}style="{{ slide['title_css'] }}"{% endif %}>{{ slide['head'] }}</h2>
	{% endif %}

	{% if slide['content'] %}
		{% if slide['content'] is iterable %}
		<ul>
			{% for line in slide['content'] %}
				{% if line is mapping %}
					<li>
						{{ line['title'] }}
						{% if line['raw'] %}
							<pre>
							{% if line['raw'] is iterable %}
								{% for s in line['raw'] %}
{{ s|safe }}
								{% endfor %}
							{% else %}
{{ line['raw']|safe }}
							{% endif %}
							</pre>
						{% endif %}
						{% if line['value'] %}
							<ul>
								{% for l in line['value'] %}
									<li>{{ l|e }}</li>
								{% endfor %}
							</ul>
						{% endif %}
					</li>
				{% else %}
					<li>{{ line|e }}</li>
				{% endif %}
			{% endfor %}
		</ul>
		{% endif %}
	{% endif %}

	{% if slide['image'] %}
		<img src="{{ slide['image'] }}">
	{% endif %}

	{% if slide['code'] %}
        <pre><code data-trim {% if slide['highlight'] %}data-noescape{% endif %}>
{{ slide['code'] }}
        </code></pre>
	{% endif %}

	{% if slide['raw'] %}
        <pre>
        {% if slide['raw'] is iterable %}
            {% for s in slide['raw'] %}{{ s|safe }}
            {% endfor %}{% else %}{{ slide['raw']|safe }}{% endif %}
        </pre>
	{% endif %}

	{% if slide['notes'] %}
		<aside class="notes">
			<ul>
			{% for note in slide['notes'] %}
				<li>{{ note|e }}</li>
			{% endfor %}
			</ul>
		</aside>
	{% endif %}
</section>
